<?php
if(function_exists('vc_map')) {
	add_action( 'init', 'mascot_core_novio_reg_shortcodes_element_holder', 998 );
}
function mascot_core_novio_reg_shortcodes_element_holder() {
	class WPBakeryShortCode_tmvc_element_holder  extends WPBakeryShortCodesContainer {}
	$bgtext_options = esc_html__( 'Background Text Options', 'mascot-core' );
	vc_map( array(
		"name" =>  __( 'Element Holder', 'mascot-core' ),
		"base" => "tmvc_element_holder",
		"as_parent" => array('except' => 'vc_accordion'),
		"content_element" => true,
		"category" => esc_html__( 'by TM', 'mascot-core' ),
		"icon" => 'mascot-vc-icons vc-icon-element-holder',
		"show_settings_on_create" => false,
		"js_view" => 'VcColumnView',
		'params' => array(
			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Custom CSS class", 'mascot-core' ),
				"param_name"	=> "custom_css_class",
				"description"	=> esc_html__( 'To style particular content element.', 'mascot-core' ),
			),
			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Element Holder Custom Inline CSS", 'mascot-core' ),
				"param_name"	=> "element_holder_text_style",
				"description"	=> esc_html__( 'Example: background-color: #f7f7f7;', 'mascot-core' ),
				'admin_label'   => true,
			),

			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Background Text", 'mascot-core' ),
				"param_name"	=> "bg_text",
				'admin_label'   => true,
				'group'			=> $bgtext_options
			),

			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Background Text Custom CSS class", 'mascot-core' ),
				"param_name"	=> "bg_text_custom_css_class",
				'group'			=> $bgtext_options
			),

			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Background Text Custom Inline CSS", 'mascot-core' ),
				"param_name"	=> "bg_text_style",
				"description"	=> esc_html__( 'Example: color: #f1f1f1; font-size: 120px; line-height: 1; top: 12px; left: 100px;', 'mascot-core' ),
				'admin_label'   => true,
				'group'			=> $bgtext_options
			),



			//Enable Paroller Parallax
			array(
				'type'			=> 'checkbox',
				"heading"		=> esc_html__( "Enable Text(textillate) Animations?", 'mascot-core' ),
				"param_name"	=> "textillate_enable",
				'description'   => '',
				'group'			=> $bgtext_options
			),


			//Enable Paroller Parallax
			array(
				'type'			=> 'checkbox',
				"heading"		=> esc_html__( "Enable Paroller Parallax Scrolling?", 'mascot-core' ),
				"param_name"	=> "paroller_enable",
				'description'   => '',
				'group'			=> $bgtext_options
			),
			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Paroller Factor", 'mascot-core' ),
				"param_name"	=> "paroller_factor",
				"description"	=> esc_html__( 'Multiplier for scrolling speed and offset. Example: 0.3', 'mascot-core' ),
				'admin_label'   => true,
				'group'			=> $bgtext_options,
				'dependency'	=> array('element' => 'paroller_enable', 'value' => 'true'),
			),
			array(
				'type'			=> 'dropdown',
				"heading"		=> esc_html__( "Paroller Type", 'mascot-core' ),
				"param_name"	=> "paroller_type",
				"value" => array(
					esc_html__( 'Foreground', 'mascot-core' )	=> 'foreground',
					esc_html__( 'Background', 'mascot-core' ) => 'background',
				) ,
				'admin_label'   => true,
				'group'			=> $bgtext_options,
				'dependency'	=> array('element' => 'paroller_enable', 'value' => 'true'),
			),
			array(
				'type'			=> 'dropdown',
				"heading"		=> esc_html__( "Paroller Direction", 'mascot-core' ),
				"param_name"	=> "paroller_direction",
				"value" => array(
					esc_html__( 'Horizontal', 'mascot-core' )	=> 'horizontal',
					esc_html__( 'Vertical', 'mascot-core' ) => 'vertical',
				) ,
				'admin_label'   => true,
				'group'			=> $bgtext_options,
				'dependency'	=> array('element' => 'paroller_enable', 'value' => 'true'),
			),
			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Paroller Transition", 'mascot-core' ),
				"param_name"	=> "paroller_transition",
				"description"	=> esc_html__( 'CSS transition. Example: transform .3s ease-out', 'mascot-core' ),
				'admin_label'   => true,
				'group'			=> $bgtext_options,
				'dependency'	=> array('element' => 'paroller_enable', 'value' => 'true'),
			),

			mascot_core_novio_row_typography(),
			vc_map_add_css_animation(),
			mascot_core_novio_vc_add_css_editor(),
		)
	) );

	wp_register_script( 'jquery-lettering', MASCOT_CORE_TEMPLATE_URI . '/assets/js/plugins/jquery.lettering.js', array('jquery'), false, true );
	wp_register_script( 'jquery-textillate', MASCOT_CORE_TEMPLATE_URI . '/assets/js/plugins/jquery.textillate.js', array('jquery'), false, true );
}